<template>
  <new-black-theme-m-header-title
    :title="header.Text"
  />
  <div class="page-content overflow-auto px-4 pt-2 pb-[5rem] unset-height unset-padding-b">
    <el-tabs v-model="activeTab" class="demo-tabs">
      <el-tab-pane
        :label="tab.Text"
        :name="i"
        v-for="(tab, i) in tabs"
        :key="i"
      >
        <div class="mx-auto my-2">
          <el-collapse v-model="activeCol" accordion>
            <el-collapse-item
              :name="'_' + i + '_' + ti"
              v-for="(title, ti) in menuTitle(i + 1)"
              :key="ti"
            >
              <template #title>
                <div
                  class="flex justify-between items-center w-full leading-4 pr-2"
                >
                  <div class="flex items-center fc-text">
                    <span class="profile-menu-title">{{ title.Text }} </span>
                  </div>
                  <div class="flex items-center m-angle-right-container mx-2">
                    <font-awesome-icon icon="angle-down" />
                  </div>
                </div>
              </template>
              <div v-html="content(i + 1, ti + 1).Text"></div>
            </el-collapse-item>
          </el-collapse>
        </div>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent, ref } from "vue";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";

export default defineComponent({
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const tabs = computed(
      (): Array<IThemePropertiesFromApi> =>
        themePropertyHelper.getMultipleThemesProperties(
          themeProperties.value,
          "menu_content_tab_5"
        )
    );
    const menuTitle = (i: number): Array<IThemePropertiesFromApi> =>
      themePropertyHelper.getMultipleThemesProperties(
        themeProperties.value,
        `menu_content_title_5_${i}_`
      );
    const content = (i: number, ti: number): IThemePropertiesFromApi =>
      themePropertyHelper.getSingleThemeProperty(
        themeProperties.value,
        `menu_content_detail_5_${i}_${ti}`
      );
    const header = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_menu_info_5"
        )
    );
    const activeTab = ref(0);
    const activeCol = ref("");
    return {
      tabs,
      header,
      activeTab,
      menuTitle,
      activeCol,
      content,
    };
  },
});
</script>

<style scoped>
.page-content {
  line-height: 22px;
  text-align: justify;
  background: var(--background2);
  background-size: auto;
  background-size: 112.5rem 44.55rem;
  color: var(--text);
  font-size: 14px;
  height: calc(100vh - 52px);
  overflow-y: auto;
}

:deep(.el-tabs__nav-wrap.is-scrollable) {
  padding: 0 !important;
}
:deep(.el-tabs__nav-prev),
:deep(.el-tabs__nav-next) {
  display: none;
}

:deep(.el-collapse) {
  border: none;
}
:deep(.el-tabs__nav-scroll) {
  overflow: auto;
  -ms-overflow-style: none;
  scrollbar-width: none;
}
:deep(.el-tabs__nav-scroll::-webkit-scrollbar) {
  display: none;
}

:deep(.el-collapse-item) {
  background-color: var(--background1);
  margin-bottom: 10px;
  border-radius: 8px;
}

:deep(.el-collapse-item__header),
:deep(.el-collapse-item__wrap) {
  background: none;
  color: var(--text);
}

:deep(.el-collapse-item__content) {
  color: var(--text) !important;
  padding: 14px 0;
  margin-right: 12px;
  margin-left: 12px;
  border-top: 1px solid var(--text);
}
:deep(.el-collapse-item__header) {
  height: auto;
  min-height: 48px;
  padding-top: 8px;
  padding-bottom: 8px;
}
.el-collapse-item__header .fa-angle-down {
  transition: all 0.3s ease;
}
.el-collapse-item__header.is-active .fa-angle-down {
  transform: rotate(180deg);
}
</style>
